| printsextract

## Function

Extract data from PRINTS

## Description

Preprocesses the PRINTS database for use with the program PSCAN.

This program derives matrix information from the final motif sets of the PRINTS data file (prints.dat). It creates files in the EMBOSS data subdirectory PRINTS these being a matrix file and files containing text information for each fingerprint. Running this program may be the job of your system manager.

## Usage

Here is a sample session with printsextract

    % printsextract
    Extract data from PRINTS
    PRINTS database file: prints.test

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-infile]            infile     PRINTS database file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers: (none)
       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-infile] (Parameter 1) | PRINTS database file | Input file | Required
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

### Input files for usage example

### File: prints.test

    gc; ACHEFISH
    gx; PR00879
    gn; COMPOUND(4)
    ga; 06-JUL-1998; UPDATE 06-JUN-1999
    gt; Fish acetylcholinesterase signature
    gp; PRINTS; PR00878 CHOLNESTRASE; PR00880 ACHEINSECT
    gp; INTERPRO; IPR000908
    gp; PDB; 2ACE
    gp; SCOP; 2ACE
    gp; CATH; 2ACE
    bb;
    gr; 1. VOET, D. AND VOET, J.G.
    gr; Biochemical communications: Hormones and neurotransmission.
    gr; BIOCHEMISTRY 34(4) 1298-1299 (1995).
    gr;
    gr; 2. COUSIN, X., HOTELIER, T., GILES, K., TOUTANT, J.P. AND CHATONNET, A.
    gr; aCHEdb: the database system for ESTHER, the a/b fold family of proteins and
    gr; the cholinesterase gene server.
    gr; NUCLEIC ACIDS RES. 26 226-228 (1998).
    gr;
    gr; 3. THE ESTHER DATABASE
    gr; http://meleze.ensam.inra.fr/cholinesterase/definitions.html
    gr;
    gr; 4. CHOLINESTERASES
    gr; http://bnlstb.bio.bnl.gov:8000/disk$3/giles/che.html
    bb;
    bb;
    gd; Acetylcholine is involved in the transfer of messages across a variety of
    gd; synapses in vertebrates and invertebrates. The diverse physiological effects
    gd; attributable to this molecule arise from the presence of specific receptors
    gd; in the postsynaptic cell membranes. Several classes of receptor are known,
    gd; most of which translate the binding of acetylcholine into the opening of
    gd; channels for the passage of ions, such as sodium and potassium.
    gd;
    gd; Acetylcholinesterase is an enzyme that catalyses the hydrolysis of
    gd; acetylcholine to choline and acetate:
    gd;
    gd;	     Acetylcholine + H(2)O -> Choline + Acetate
    gd;
    gd; The enzyme also acts on a variety of acetic esters and catalyses trans-
    gd; acetylations. It is found in, or attached to, cellular or basement membranes
    gd; of presynaptic cholinergic neurons and postsynaptic cholinoceptive cells.
    gd; To prevent continuous firing of nerve impulses, acetylcholinesterase has a
    gd; high K(cat) (~14000/s), to ensure that acetylcholine is broken down quickly.
    gd;
    gd; Cholinesterases constitute a family of enzymes that fall into two main
    gd; types, depending on their substrate preference: enzymes that preferentially
    gd; hydrolyse acetyl esters are termed acetylcholinesterase (AChE) (EC 3.1.1.7);
    gd; and those that prefer other types of ester, such as butyrylcholine are
    gd; termed butyrylcholinesterase (BChE) (EC 3.1.1.8).

      [Part of this file has been deleted for brevity]

    fd; YFISGFLFYLATIINPIAYNLASSRFR          Q18701    323    17
    fd; FIISMLLASLNSCCNPWIYMFFAGHLF          Q90334    311    13
    fd; YKITRPLASANSCLDPVLYFLAGQRLV        P2UR_RAT    287    20
    fd; AAMPAYFAKSATIYNPIIYVFMNRQFR      OPSR_CARAU    301    13
    fd; AQWFIVLAVLNSAMNPVIYTLASKEMR      EDG3_HUMAN    280    14
    fd; YKVTRPLASANSCLDPVLYFLAGQRLV      P2UR_HUMAN    288    20
    fd; YKITRPLASANSCLDPVLYFLAGQRLV      P2UR_MOUSE    288    20
    fd; AAMPAYFAKSATIYNPVIYVFMNRQFR      OPSR_ORYLA    301    13
    fd; MAIPSFFSKSSALFNPIIYILLNKQFR      OPSG_ORYLA    289    13
    fd; THFAFALQYINSAANPFLYVFLSDSFQ          Q23033    401    16
    fd; FTAITWISFSSSASKPTLYSIYNANFR      GPRJ_HUMAN    312    13
    fd; AALPAYFAKSATIYNPIIYVFMNRQFR      OPSR_CAPHI    304    13
    fd; YINIYWLGMSSTVFNPVIYYFMNKRFR          O44148    323    16
    fd; LHFTVCLMNFNCCMDPFIYFFACKGYK      EBI2_HUMAN    290    23
    fd; FTAVTWVSFSSSASKPTLYSIYNANFR      GPRJ_MOUSE    306    13
    fd; NYTGINMASLNSCIGPVALYFVSRKFK      ET3R_XENLA    365    36
    fd; TIWGSVFAKANSCYNPIVYGISHPRYK      OPS2_LIMPO    310    13
    fd; YLVALCLSTLNSCIDPFVYYFVSKDFR      PAR2_MOUSE    328    16
    fd; YIVALCLSTLNSCIDPFVYYFVSHDFR      PAR2_HUMAN    326    16
    fd; YLVALCLSTLNSCIDPFVYYFVSKDFR        PAR2_RAT    326    16
    fd; YILSACVGSVSCCLDPLIYYYASSQCQ      THRR_XENLA    348    13
    fd; TIWGSVFAKANAVYNPIVYGISHPKYR          O76125    317    12
    fd; TIWGSVFAKANSCYNPIVYGISHPRYK      OPS1_LIMPO    310    13
    fd; YLIALCLGSLNSCLDPFLYFVMSKVVD      PAR3_MOUSE    339    16
    fd; TIWGSVFAKANAVYNPIVYGISHPKYR          O76123    317    12
    fd; YLLCVCVTSVASCIDPLIYYYASSECQ        THRR_RAT    360    17
    fd; VHVAEIVSLCHCFINPLIYAFCSREFT      VQ3L_CAPVK    337    21
    fd; TIWGSLFAKANAVFNPIVYGISHPKYR      OPS1_SCHGR    315    12
    fd; AAAPAFFSKTAAVYNPVIYVFMNKQVS      OPSO_SALSA    286    13
    fd; YHFSLLLTSFNCVADPVLYCFVSETTH          O46685    268    17
    fd; KILLVLFYPINSCANPFLYAIFTKNFR      FSHR_HORSE    607    13
    fd; YIFCHLVGISSTCVNPIVYALVNESFR          O44690    308    12
    fd; YLLCVCVSSISSCIDPLIYYYASSECQ      THRR_HUMAN    353    17
    fd; AALPAYFAKSATIYNPIIYVFMNRQFR      OPSR_XENLA    303    13
    fd; ITFSETISLARCCINPIIYTLIGEHVR      VK02_SPVKA    312    24
    fd; YHSSLAFTSLNCVADPILYCLVNEGAR      GPR4_HUMAN    268    21
    fd; YHFSLLLTSFNCVADPVLYCFVSETTH      OGR1_HUMAN    268    17
    fd; YHSSLAFTSLNCVADPILYCLVNEGAR        GPR4_PIG    268    21
    fd; TIWGSLFAKANAVYNPIVYGISHPKYR      OPSD_CAMAB    315    12
    fd; TIWGSLFAKANAVYNPIVYGISHPKYR      OPSD_CATBO    315    12
    fd; KILLVFFYPLNSCADPYLYAILTSQYR          Q94979    738    13
    fd; TIWGACFAKSAACYNPIVYGISHPKYG      OPS1_CALVI    309    12
    fd; KILLVLFYPINSCANPFLYAIFTKTFR      FSHR_CHICK    608    13
    fd; KILLVLFYPINSCANPFLYAIFTKNFR      FSHR_EQUAS    600    13
    fd; TMLPAVFAKTVSCIDPWIYAINHPRYR      OPSB_APIME    318    13
    fd; TMIPAVTAKIVSCIDPWVYAINHPRFR      OPS2_SCHGR    315    13
    fd; TIWGACFAKSAACYNPIVYGISHPKYR      OPS1_DROME    311    12
    fd; TIWGSLFAKANAVYNPIVYGISHPKYR      OPSD_APIME    313    12
    fd; SMLPCLACKSVSCLDPWVYATSHPKYR      OPS5_DROME    314    13
    fd; TICGSVFAKANAVCNPIVYGLSHPKYK      OPS6_DROME    309    12
    bb;

The input file must be the "prints.dat" file of a PRINTS distribution.

The PRINTS database is currently available via the anonymous ftp servers at:

- Manchester ftp://bioinf.man.ac.uk/pub/prints/
- EBI ftp://ftp.ebi.ac.uk/pub/databases/
- EMBL ftp://ftp.embl-heidelberg.de/
- NCBI ftp://ncbi.nlm.nih.gov/

It is also distributed on the EMBL CD-ROMs.

The home page for PRINTS is: http://www.bioinf.man.ac.uk/dbbrowser/PRINTS/

## Output file format

### Output files for usage example

### Directory: PRINTS

This directory contains output files.

The output files are held in the PRINTS subdirectory of the EMBOSS data directory.

- prints.mat matrices calculated from PRINTS
- Pxxxxx text information for each fingerprint

## Data files

None.

## Notes

You may have to ask your system manager to run this program.

## References

1. Attwood, T.K., Flower, D.R., Lewis, A.P., Mabey, J.E., Morgan, S.R., Scordis, P., Selley, J. and Wright, W. (1999) PRINTS prepares for the new millennium. Nucleic Acids Research, 27(1), 220-225.
2. Attwood, T.K., Beck, M.E., Flower, D.R., Scordis, P. and Selley, J. (1998) The PRINTS protein fingerprint database in its fifth year. Nucleic Acids Research, 26(1), 304-308.
3. Attwood, T.K., Beck, M.E., Bleasby, A.J., Degtyarenko, K., Michie, A.D. and Parry-Smith, D.J. (1997) Novel developments with the PRINTS protein motif fingerprint database. Nucleic Acids Research, 25 (1), 212-216.
4. Attwood, T.K. and Beck, M.E. (1994) PRINTS - A protein motif fingerprint database. Protein Engineering, 7(7), 841-848.
5. Bleasby, A.J., Akrigg, D.A. and Attwood, T.K. (1994) OWL - A non-redundant composite protein sequence database. Nucleic Acids Research, 22(17), 3574-77.
6. Bleasby, A.J. and Wootton, J.C. (1990) Constructing validated, non- redundant composite protein sequence databases. Protein Engineering, 3(3), 153-159.
7. Parry-Smith, D.J. and Attwood, T.K. (1992) ADSP - A new package for computational sequence analysis. CABIOS, 8(5), 451-459.
8. Attwood, T.K. and Findlay, J.B.C. (1994) Fingerprinting G-protein-coupled receptors. Prot.Engng. 7(2), 195-203.
9. Attwood, T.K. and Findlay, J.B.C. (1993) Design of a discriminating finger- print for G-protein-coupled receptors. Prot.Engng. 6(2) 167-176.
10. Akrigg, D., Attwood, T.K., Bleasby, A.J., Findlay, J.B.C, North, A.C.T., Maughan, N.A., Parry-Smith, D.J., Perkins, D.N. and Wootton, J.C. (1992) SERPENT - An information storage and analysis resource for protein sequences. CABIOS 8(3) 295-296.
11. Parry-Smith, D.J. and Attwood, T.K. (1991) SOMAP - A novel interactive approach to multiple protein sequence aligment. CABIOS, 7(2), 233-235.
12. Perkins, D.N. and Attwood, T.K. (1995) VISTAS - A package for VIsualising STructures And Sequences of proteins. J.Mol.Graph., 13, 73-75.
13. Parry-Smith, D.J., Payne, A.W.R, Michie, A.D. and Attwood, T.K. (1998) CINEMA - A novel Colour INteractive Editor for Multiple Alignments. Gene, 211(2), GC45-56.

## Warnings

The program will warn you if the input file is incorrectly formatted.

## Diagnostic Error Messages

None.

## Exit status

It exits with status 0 unless an error is reported.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aaindexextract | Extract data from AAINDEX
cutgextract | Extract data from CUTG
prosextract | Build the PROSITE motif database for use by patmatmotifs
rebaseextract | Extract data from REBASE
tfextract | Extract data from TRANSFAC

## Author(s)

Alan Bleasby (ajb © ebi.ac.uk)
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

Completed 8th April 1999

## Target users

This program is intended to be used by administrators responsible for software and database installation and maintenance.

## Comments

None